package org.springblade.community.grid.feign;

import org.springblade.community.grid.entity.GridResource;
import org.springblade.community.grid.vo.GridResourceVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class GridResourceClientFallback implements IGridResourceClient {
            /**
         * 详情
         */
        @Override
        public GridResourceVO detail(GridResource gridResource) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<GridResourceVO> list(GridResource gridResource) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( GridResource gridResource) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( GridResource gridResource) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( GridResource gridResource) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
